Subject: [css-d] Hyperlink position in NN4.7

From: Michael_Landis at capgroup.com ([email-masked])
Date: Fri, 25 Apr 2003 07:45:34 -0700

Dave Mead wrote:

> My footer nav runs nicely along the bottom (shortened version here):

[snip]

> It looks fine in IE but when viewed in NN4.7 the links stack
> one-on-top-of-another instead of side-by-side!  I've created a separate
> style sheet for NN and removed the padding from the CSS code and this
> bunches them all up (hence the two &nbsp; between links).  Is there a
> way around this or is this the best fix.

As you have discovered, adding padding or margins to an inline element
converts it to a block element in NS 4. I haven't seen a workaround for
this.

Sorry for the bad news! :-)

MikeL